﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

using Nucleo.Wurfl;
using Nucleo.Wurfl.Creator;
using Nucleo.Wurfl.Simulation;
using Nucleo.Wurfl.Storage;


namespace Demos.Mvc
{
	public class MvcApplication : System.Web.HttpApplication
	{
		public static void RegisterGlobalFilters(GlobalFilterCollection filters)
		{
			filters.Add(new HandleErrorAttribute());
		}

		public static void RegisterRoutes(RouteCollection routes)
		{
			routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

			routes.MapRoute(
				"Default", // Route name
				"{controller}/{action}/{id}", // URL with parameters
				new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
			);

		}

		protected void Application_Start()
		{
			AreaRegistration.RegisterAllAreas();

			RegisterGlobalFilters(GlobalFilters.Filters);
			RegisterRoutes(RouteTable.Routes);

			// *** BEGIN SETUP ***

			WurflDeviceManager.Creator = new HttpContextWurflCreator();
			WurflDeviceManager.Store = new HttpContextWurflStore();
			WurflDeviceManager.Simulator = new Classes.MobileSimulator();

			// *** END SETUP ***
		}
	}
}